
QGIS Application - Bug report #15626

GDAL-Tools (Raster menu) batch mode in QGIS 2.16 does not work
Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23549

Description

The batch mode of GDAL tools (Raster menu) does no longer work under qgis 2.16 (Linux and Windows). translate and warp write the

following error messages:

back (most recent call last):

File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetBatchBase.py", line 73, in onRun

self.batchRun()

File "/usr/share/qgis/python/plugins/GdalTools/tools/doTranslate.py", line 306, in batchRun

self.runItem(self.batchIndex, self.batchTotal)

File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetBatchBase.py", line 107, in runItem

self.base.refreshArgs(args)

TypeError: native Qt signal is not callable

Under QGIS 2.14 it works. Although I replace the /python/plugins/GdalTools with the python-files from 2.16 version with the files form 2.14

it works in QGIS 2.16

Claas

History

#1 - 2016-09-28 08:36 AM - Jürgen Fischer

- Subject changed from GDAL-Tools (Raster menu) Batch-Modus in QGIS 2.16 not work to GDAL-Tools (Raster menu) batch mode in QGIS 2.16 does 

not work

#2 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#3 - 2017-02-09 04:29 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Operating System deleted (Windows, Linux)

Should be fixed in Processing front-end. Please reopen if necessary

#4 - 2017-03-14 07:44 AM - Andre Jesus

- Status changed from Closed to Reopened

- Target version changed from Version 2.16 to Version 2.18
Bug is back in 2.18.4 (windows). 

Single file mode works but batch mode gives the following error:

2017-03-14T10:47:06    1    Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\GdalTools\\tools\\widgetBatchBase.py", line 73, in onRun

                self.batchRun()

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\GdalTools\\tools\\widgetBatchBase.py", line 93, in batchRun

                self.runItem(self.batchIndex, self.batchTotal)

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\GdalTools\\tools\\widgetBatchBase.py", line 107, in runItem

                self.base.refreshArgs(args)

            TypeError: native Qt signal is not callable

QGIS 2.14.12 works ok.

#5 - 2017-04-27 06:12 AM - Alexander Bruy

- Status changed from Reopened to Closed

GdalTools is obsolete, issue fixed in Processing.

#6 - 2017-09-28 10:07 AM - Ed Hudspeth

In GdalTools you could set the parameters for the batch job once to be applied to all raster files, in processing however you have to set parameters such as

overview levels and re sampling method per file. This isn't true batch processing and isn't practical for large volumes of data.

#7 - 2017-09-28 10:08 AM - Giovanni Manghi

- Description updated

map man wrote:

In GdalTools you could set the parameters for the batch job once to be applied to all raster files, in processing however you have to set parameters

such as overview levels and re sampling method per file. This isn't true batch processing and isn't practical for large volumes of data.

double click on the parameter name (in processing batch mode) and the choice made for the first row will be applied to all others (I believe this is in the

manual).

#8 - 2017-10-24 05:58 PM - LEONID SOLNTSEV

QGIS 2.18.13; GDAL 2.2.1; Ubuntu 16.04.3

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetBatchBase.py", line 73, in onRun self.batchRun()

File "/usr/share/qgis/python/plugins/GdalTools/tools/doTranslate.py", line 306, in batchRun self.runItem(self.batchIndex, self.batchTotal)

File "/usr/share/qgis/python/plugins/GdalTools/tools/widgetBatchBase.py", line 107, in runItem self.base.refreshArgs(args)

TypeError: native Qt signal is not callable

2024-04-27 2/3



same in fact, but from console

gdalwarp -ot Float32 -q -of GS7BG -dstnodata -9999 -tr 0.00832986255727 -0.00832750174948 -tap -cutline

/home/www_adm/ownCloud/NNIIEM_SCIENCE/00_MAIN_THEME/QGIS/R52_BORDER.shp -crop_to_cutline

/home/www_adm/MAXENT_LAYERS/MOSAIK_CLIP/VEG_01.1_km_monthly_EVI.tif

/home/www_adm/ownCloud/NNIIEM_SCIENCE/00_MAIN_THEME/EVI/D_VEG_04.1_km_monthly_EVI.grd

#9 - 2017-10-24 07:20 PM - Giovanni Manghi

LEONID SOLNTSEV wrote:

QGIS 2.18.13; GDAL 2.2.1; Ubuntu 16.04.3

use batch mode in the Processing toolbox, the old "gdal tools" will not get any fix.
